import React from "react";
import "../App.css";

const CharacterCard = (props) => {
  return (
    <ul className="character-container">
      {props.data.map((character, index) => (
        <li className="character-card" key={index}>
          <img
            src={`https://starwars-visualguide.com/assets/img/characters/${index +
              1}.jpg`}
            alt={character.name}
            className="character-image"
          />
          <div className="character-details">
            <p>Name: {character.name}</p>
            <p>Height: {character.height} cm</p>
            <p>Mass: {character.mass} kg</p>
            <p>Hair Color: {character.hair_color}</p>
            <p>Birth Year: {character.birth_year}</p>
          </div>
        </li>
      ))}
    </ul>
  );
};

export default CharacterCard;
